Index: vector/v.in.pointcloud/main.cpp
===================================================================
--- vector/v.in.pointcloud/main.cpp	(revision 66075)
+++ vector/v.in.pointcloud/main.cpp	(working copy)
@@ -501,131 +516,124 @@
     /* strip any @mapset from vector output name */
     G_find_vector(buf, G_mapset());
     if (Vect_open_new(&Map, out_opt->answer, 1) < 0)
-	G_fatal_error(_("Unable to create vector map <%s>"), out_opt->answer);
+        G_fatal_error(_("Unable to create vector map <%s>"), out_opt->answer);
 
     Vect_hist_command(&Map);
-    
-    n_features = LASHeader_GetPointRecordsCount(LAS_header);
-    las_point_format = LASHeader_GetDataFormatId(LAS_header);
 
-    have_time = (las_point_format == 1 || las_point_format == 3 || 
-		 las_point_format == 4 || las_point_format == 5);
+    n_features = las_header.pointCount();
+    have_time = las_header.hasTime();
+    have_color = las_header.hasColor();
 
-    have_color = (las_point_format == 2 || las_point_format == 3 || 
-		   las_point_format == 5);
-
     /* Add DB link */
     if (!notab_flag->answer) {
-	char *cat_col_name = GV_KEY_COLUMN;
+        char *cat_col_name = GV_KEY_COLUMN;
 
-	Fi = Vect_default_field_info(&Map, 1, NULL, GV_1TABLE);
+        Fi = Vect_default_field_info(&Map, 1, NULL, GV_1TABLE);
 
-	Vect_map_add_dblink(&Map, 1, out_opt->answer, Fi->table,
-			    cat_col_name, Fi->database, Fi->driver);
+        Vect_map_add_dblink(&Map, 1, out_opt->answer, Fi->table,
+                            cat_col_name, Fi->database, Fi->driver);
 
-	/* check available LAS info, depends on POINT DATA RECORD FORMAT [0-5] */
-	/* X (double),
-	 * Y (double), 
-	 * Z (double), 
-	 * intensity (double), 
-	 * return number (int), 
-	 * number of returns (int),
-	 * scan direction (int),
-	 * flight line edge (int),
-	 * classification type (char),
-	 * class (char),
-	 * time (double) (FORMAT 1, 3, 4, 5),
-	 * scan angle rank (int),
-	 * source ID (int),
-	 * user data (char), ???
-	 * red (int)  (FORMAT 2, 3, 5),
-	 * green (int) (FORMAT 2, 3, 5),
-	 * blue (int) (FORMAT 2, 3, 5)*/
-	 
-	/* Create table */
-	sprintf(buf, "create table %s (%s integer", Fi->table,
-		cat_col_name);
-	db_set_string(&sql, buf);
-	
-	/* x, y, z */
-	sprintf(buf, ", x_coord double precision");
-	db_append_string(&sql, buf);
-	sprintf(buf, ", y_coord double precision");
-	db_append_string(&sql, buf);
-	sprintf(buf, ", z_coord double precision");
-	db_append_string(&sql, buf);
-	/* intensity */
-	sprintf(buf, ", intensity integer");
-	db_append_string(&sql, buf);
-	/* return number */
-	sprintf(buf, ", return integer");
-	db_append_string(&sql, buf);
-	/* number of returns */
-	sprintf(buf, ", n_returns integer");
-	db_append_string(&sql, buf);
-	/* scan direction */
-	sprintf(buf, ", scan_dir integer");
-	db_append_string(&sql, buf);
-	/* flight line edge */
-	sprintf(buf, ", edge integer");
-	db_append_string(&sql, buf);
-	/* classification type */
-	sprintf(buf, ", cl_type varchar(20)");
-	db_append_string(&sql, buf);
-	/* classification class */
-	sprintf(buf, ", class varchar(40)");
-	db_append_string(&sql, buf);
-	/* GPS time */
-	if (have_time) {
-	    sprintf(buf, ", gps_time double precision");
-	    db_append_string(&sql, buf);
-	}
-	/* scan angle */
-	sprintf(buf, ", angle integer");
-	db_append_string(&sql, buf);
-	/* source id */
-	sprintf(buf, ", src_id integer");
-	db_append_string(&sql, buf);
-	/* user data */
-	sprintf(buf, ", usr_data integer");
-	db_append_string(&sql, buf);
-	/* colors */
-	if (have_color) {
-	    sprintf(buf, ", red integer, green integer, blue integer");
-	    db_append_string(&sql, buf);
-	    sprintf(buf, ", GRASSRGB varchar(11)");
-	    db_append_string(&sql, buf);
-	}
+        /* check available LAS info, depends on POINT DATA RECORD FORMAT [0-5] */
+        /* X (double),
+         * Y (double),
+         * Z (double),
+         * intensity (double),
+         * return number (int),
+         * number of returns (int),
+         * scan direction (int),
+         * flight line edge (int),
+         * classification type (char),
+         * class (char),
+         * time (double) (FORMAT 1, 3, 4, 5),
+         * scan angle rank (int),
+         * source ID (int),
+         * user data (char), ???
+         * red (int)  (FORMAT 2, 3, 5),
+         * green (int) (FORMAT 2, 3, 5),
+         * blue (int) (FORMAT 2, 3, 5)*/
 
-	db_append_string(&sql, ")");
-	G_debug(3, db_get_string(&sql));
+        /* Create table */
+        sprintf(buf, "create table %s (%s integer", Fi->table, cat_col_name);
+        db_set_string(&sql, buf);
 
-	driver =
-	    db_start_driver_open_database(Fi->driver,
-					  Vect_subst_var(Fi->database,
-							 &Map));
-	if (driver == NULL) {
-	    G_fatal_error(_("Unable open database <%s> by driver <%s>"),
-			  Vect_subst_var(Fi->database, &Map), Fi->driver);
-	}
+        /* x, y, z */
+        sprintf(buf, ", x_coord double precision");
+        db_append_string(&sql, buf);
+        sprintf(buf, ", y_coord double precision");
+        db_append_string(&sql, buf);
+        sprintf(buf, ", z_coord double precision");
+        db_append_string(&sql, buf);
+        /* intensity */
+        sprintf(buf, ", intensity integer");
+        db_append_string(&sql, buf);
+        /* return number */
+        sprintf(buf, ", return integer");
+        db_append_string(&sql, buf);
+        /* number of returns */
+        sprintf(buf, ", n_returns integer");
+        db_append_string(&sql, buf);
+        /* scan direction */
+        sprintf(buf, ", scan_dir integer");
+        db_append_string(&sql, buf);
+        /* flight line edge */
+        sprintf(buf, ", edge integer");
+        db_append_string(&sql, buf);
+        /* classification type */
+        sprintf(buf, ", cl_type varchar(20)");
+        db_append_string(&sql, buf);
+        /* classification class */
+        sprintf(buf, ", class varchar(40)");
+        db_append_string(&sql, buf);
+        /* GPS time */
+        if (have_time) {
+            sprintf(buf, ", gps_time double precision");
+            db_append_string(&sql, buf);
+        }
+        /* scan angle */
+        sprintf(buf, ", angle integer");
+        db_append_string(&sql, buf);
+        /* source id */
+        sprintf(buf, ", src_id integer");
+        db_append_string(&sql, buf);
+        /* user data */
+        sprintf(buf, ", usr_data integer");
+        db_append_string(&sql, buf);
+        /* colors */
+        if (have_color) {
+            sprintf(buf, ", red integer, green integer, blue integer");
+            db_append_string(&sql, buf);
+            sprintf(buf, ", GRASSRGB varchar(11)");
+            db_append_string(&sql, buf);
+        }
+
+        db_append_string(&sql, ")");
+        G_debug(3, db_get_string(&sql));
+
+        driver =
+            db_start_driver_open_database(Fi->driver,
+                                          Vect_subst_var(Fi->database, &Map));
+        if (driver == NULL) {
+            G_fatal_error(_("Unable open database <%s> by driver <%s>"),
+                          Vect_subst_var(Fi->database, &Map), Fi->driver);
+        }
         db_set_error_handler_driver(driver);
 
-	if (db_execute_immediate(driver, &sql) != DB_OK) {
-	    G_fatal_error(_("Unable to create table: '%s'"),
-			  db_get_string(&sql));
-	}
+        if (db_execute_immediate(driver, &sql) != DB_OK) {
+            G_fatal_error(_("Unable to create table: '%s'"),
+                          db_get_string(&sql));
+        }
 
-	if (db_create_index2(driver, Fi->table, cat_col_name) != DB_OK)
-	    G_warning(_("Unable to create index for table <%s>, key <%s>"),
-		      Fi->table, cat_col_name);
+        if (db_create_index2(driver, Fi->table, cat_col_name) != DB_OK)
+            G_warning(_("Unable to create index for table <%s>, key <%s>"),
+                      Fi->table, cat_col_name);
 
-	if (db_grant_on_table
-	    (driver, Fi->table, DB_PRIV_SELECT,
-	     DB_GROUP | DB_PUBLIC) != DB_OK)
-	    G_fatal_error(_("Unable to grant privileges on table <%s>"),
-			  Fi->table);
+        if (db_grant_on_table
+            (driver, Fi->table, DB_PRIV_SELECT,
+             DB_GROUP | DB_PUBLIC) != DB_OK)
+            G_fatal_error(_("Unable to grant privileges on table <%s>"),
+                          Fi->table);
 
-	db_begin_transaction(driver);
+        db_begin_transaction(driver);
     }
 
     /* Import feature */
@@ -638,182 +646,186 @@
 
     Points = Vect_new_line_struct();
     Cats = Vect_new_cats_struct();
-    
+
     G_important_message(_("Scanning %d points..."), n_features);
-    while ((LAS_point = LASReader_GetNextPoint(LAS_reader)) != NULL) {
-	double x, y, z;
+    for (pdal::PointId idx = 0; idx < point_view->size(); ++idx) {
+        double x, y, z;
 
-	G_percent(feature_count++, n_features, 1);	/* show something happens */
-	
-	if (!LASPoint_IsValid(LAS_point)) {
-	    not_valid++;
-	    continue;
-	}
+        G_percent(feature_count++, n_features, 1);        /* show something happens */
 
-	Vect_reset_line(Points);
-	Vect_reset_cats(Cats);
+        Vect_reset_line(Points);
+        Vect_reset_cats(Cats);
 
-	x = LASPoint_GetX(LAS_point);
-	y = LASPoint_GetY(LAS_point);
-	z = LASPoint_GetZ(LAS_point);
+        using namespace pdal::Dimension;
+        x = point_view->getFieldAs<double>(Id::X, idx);
+        y = point_view->getFieldAs<double>(Id::Y, idx);
+        z = point_view->getFieldAs<double>(Id::Z, idx);
 
-	if (spat_opt->answer || region_flag->answer) {
-	    if (x < xmin || x > xmax || y < ymin || y > ymax) {
-		n_outside++;
-		continue;
-	    }
-	}
-	if (return_filter != LAS_ALL) {
-	    int return_no = LASPoint_GetReturnNumber(LAS_point);
-	    int n_returns = LASPoint_GetNumberOfReturns(LAS_point);
-	    skipme = 1;
+        if (spat_opt->answer || region_flag->answer) {
+            if (x < xmin || x > xmax || y < ymin || y > ymax) {
+                n_outside++;
+                continue;
+            }
+        }
+        if (return_filter != LAS_ALL) {
+            int return_no = point_view->getFieldAs<int>(Id::ReturnNumber, idx);
+            int n_returns = point_view->getFieldAs<int>(Id::NumberOfReturns, idx);
+            skipme = 1;
 
-	    switch (return_filter) {
-	    case LAS_FIRST:
-		if (return_no == 1)
-		    skipme = 0;
-		break;
-	    case LAS_MID:
-		if (return_no > 1 && return_no < n_returns)
-		    skipme = 0;
-		break;
-	    case LAS_LAST:
-		if (n_returns > 1 && return_no == n_returns)
-		    skipme = 0;
-		break;
-	    }
-	    
-	    if (skipme) {
-		n_filtered++;
-		continue;
-	    }
-	}
-	if (class_opt->answer) {
-	    point_class = (int) LASPoint_GetClassification(LAS_point);
-	    i = 0;
-	    skipme = TRUE;
-	    while (class_opt->answers[i]) {
-		if (point_class == atoi(class_opt->answers[i])) {
-		    skipme = FALSE;
-		    break;
-		}
-		i++;
-	    }
-	    if (skipme) {
-		n_class_filtered++;
-		continue;
-	    }
-	}
+            switch (return_filter) {
+            case LAS_FIRST:
+                if (return_no == 1)
+                    skipme = 0;
+                break;
+            case LAS_MID:
+                if (return_no > 1 && return_no < n_returns)
+                    skipme = 0;
+                break;
+            case LAS_LAST:
+                if (n_returns > 1 && return_no == n_returns)
+                    skipme = 0;
+                break;
+            }
 
-	Vect_append_point(Points, x, y, z);
-	Vect_cat_set(Cats, 1, cat);
-	Vect_write_line(&Map, GV_POINT, Points, Cats);
+            if (skipme) {
+                n_filtered++;
+                continue;
+            }
+        }
+        if (class_opt->answer) {
+            point_class = point_view->getFieldAs<int>(Id::Classification, idx);
+            i = 0;
+            skipme = TRUE;
+            while (class_opt->answers[i]) {
+                if (point_class == atoi(class_opt->answers[i])) {
+                    skipme = FALSE;
+                    break;
+                }
+                i++;
+            }
+            if (skipme) {
+                n_class_filtered++;
+                continue;
+            }
+        }
 
-	/* Attributes */
-	if (!notab_flag->answer) {
-	    char class_flag;
-	    int las_class_type, las_class;
+        Vect_append_point(Points, x, y, z);
+        Vect_cat_set(Cats, 1, cat);
+        Vect_write_line(&Map, GV_POINT, Points, Cats);
 
-	     /* use LASPoint_Validate (LASPointH hPoint) to check for
-	      * return number, number of returns, scan direction, flight line edge,
-	      * classification, scan angle rank */
-	    sprintf(buf, "insert into %s values ( %d", Fi->table, cat);
-	    db_set_string(&sql, buf);
+        /* Attributes */
+        if (!notab_flag->answer) {
+            char class_flag;
+            int las_class_type, las_class;
 
-	    /* x, y, z */
-	    sprintf(buf, ", %f", x);
-	    db_append_string(&sql, buf);
-	    sprintf(buf, ", %f", y);
-	    db_append_string(&sql, buf);
-	    sprintf(buf, ", %f", z);
-	    db_append_string(&sql, buf);
-	    /* intensity */
-	    sprintf(buf, ", %d", LASPoint_GetIntensity(LAS_point));
-	    db_append_string(&sql, buf);
-	    /* return number */
-	    sprintf(buf, ", %d", LASPoint_GetReturnNumber(LAS_point));
-	    db_append_string(&sql, buf);
-	    /* number of returns */
-	    sprintf(buf, ",  %d", LASPoint_GetNumberOfReturns(LAS_point));
-	    db_append_string(&sql, buf);
-	    /* scan direction */
-	    sprintf(buf, ", %d",  LASPoint_GetScanDirection(LAS_point));
-	    db_append_string(&sql, buf);
-	    /* flight line edge */
-	    sprintf(buf, ",  %d", LASPoint_GetFlightLineEdge(LAS_point));
-	    db_append_string(&sql, buf);
-	    class_flag = LASPoint_GetClassification(LAS_point);
-	    /* classification type int or char ? */
-	    las_class_type = class_flag / 32;
-	    sprintf(buf, ", \'%s\'", class_type[las_class_type].name);
-	    db_append_string(&sql, buf);
-	    /* classification class int or char ? */
-	    las_class = class_flag % 32;
-	    if (las_class > 13)
-		las_class = 13;
-	    sprintf(buf, ", \'%s\'", class_val[las_class].name);
-	    db_append_string(&sql, buf);
-	    /* GPS time */
-	    if (have_time) {
-		sprintf(buf, ", %f", LASPoint_GetTime(LAS_point));
-		db_append_string(&sql, buf);
-	    }
-	    /* scan angle */
-	    sprintf(buf, ", %d", LASPoint_GetScanAngleRank(LAS_point));
-	    db_append_string(&sql, buf);
-	    /* source id */
-	    sprintf(buf, ", %d", LASPoint_GetPointSourceId(LAS_point));
-	    db_append_string(&sql, buf);
-	    /* user data */
-	    sprintf(buf, ", %d", LASPoint_GetUserData(LAS_point));
-	    db_append_string(&sql, buf);
-	    /* colors */
-	    if (have_color) {
-		LASColorH LAS_color = LASPoint_GetColor(LAS_point);
-		int red = LASColor_GetRed(LAS_color);
-		int green = LASColor_GetGreen(LAS_color);
-		int blue = LASColor_GetBlue(LAS_color);
+            /* use LASPoint_Validate (LASPointH hPoint) to check for
+             * return number, number of returns, scan direction, flight line edge,
+             * classification, scan angle rank */
+            sprintf(buf, "insert into %s values ( %d", Fi->table, cat);
+            db_set_string(&sql, buf);
 
-		sprintf(buf, ", %d, %d, %d", red, green, blue);
-		db_append_string(&sql, buf);
-		sprintf(buf, ", \"%03d:%03d:%03d\"", red, green, blue);
-		db_append_string(&sql, buf);
-	    }
-	    db_append_string(&sql, " )");
-	    G_debug(3, db_get_string(&sql));
+            // TODO: getFieldAs<uint8_t>(Id::ScanChannel, idx)
 
-	    if (db_execute_immediate(driver, &sql) != DB_OK) {
-		G_fatal_error(_("Cannot insert new row: %s"),
-			      db_get_string(&sql));
-	    }
-	}
+            /* x, y, z */
+            sprintf(buf, ", %f", x);
+            db_append_string(&sql, buf);
+            sprintf(buf, ", %f", y);
+            db_append_string(&sql, buf);
+            sprintf(buf, ", %f", z);
+            db_append_string(&sql, buf);
+            /* intensity */
+            sprintf(buf, ", %d", point_view->getFieldAs<int>(Id::Intensity, idx));
+            db_append_string(&sql, buf);
+            /* return number */
+            sprintf(buf, ", %d", point_view->getFieldAs<int>(Id::ReturnNumber, idx));
+            db_append_string(&sql, buf);
+            /* number of returns */
+            sprintf(buf, ",  %d", point_view->getFieldAs<int>(Id::NumberOfReturns, idx));
+            db_append_string(&sql, buf);
+            /* scan direction */
+            sprintf(buf, ", %d", point_view->getFieldAs<int>(Id::ScanDirectionFlag, idx));
+            db_append_string(&sql, buf);
+            /* flight line edge */
+            sprintf(buf, ",  %d", point_view->getFieldAs<int>(Id::EdgeOfFlightLine, idx));
+            db_append_string(&sql, buf);
+            class_flag = point_view->getFieldAs<int>(Id::Classification, idx);
+            /* classification type int or char ? */
+            las_class_type = class_flag / 32;
+            sprintf(buf, ", \'%s\'", class_type[las_class_type].name);
+            db_append_string(&sql, buf);
+            /* classification class int or char ? */
+            las_class = class_flag % 32;
+            if (las_class > 13)
+                las_class = 13;
+            sprintf(buf, ", \'%s\'", class_val[las_class].name);
+            db_append_string(&sql, buf);
+            /* GPS time */
+            if (have_time) {
+                sprintf(buf, ", %f", point_view->getFieldAs<double>(Id::GpsTime, idx));
+                db_append_string(&sql, buf);
+            }
+            /* scan angle */
+            // TODO: check type here (might be worth checking everywhere)
+            // TODO: check if we need to multiply by something
+            sprintf(buf, ", %d", point_view->getFieldAs<int>(Id::ScanAngleRank, idx));
+            db_append_string(&sql, buf);
+            /* source id */
+            sprintf(buf, ", %d", point_view->getFieldAs<int>(Id::PointSourceId, idx));
+            db_append_string(&sql, buf);
+            /* user data */
+            sprintf(buf, ", %d", point_view->getFieldAs<int>(Id::UserData, idx));
+            db_append_string(&sql, buf);
+            /* colors */
+            if (have_color) {
+                int red = 0;
+                int green = 0;
+                int blue = 0;
+                if (point_view->hasDim(Id::Red))
+                    red = point_view->getFieldAs<int>(Id::Red, idx);
+                if (point_view->hasDim(Id::Green))
+                    green = point_view->getFieldAs<int>(Id::Green, idx);
+                if (point_view->hasDim(Id::Blue))
+                    blue = point_view->getFieldAs<int>(Id::Blue, idx);
 
-	cat++;
+                sprintf(buf, ", %d, %d, %d", red, green, blue);
+                db_append_string(&sql, buf);
+                sprintf(buf, ", \"%03d:%03d:%03d\"", red, green, blue);
+                db_append_string(&sql, buf);
+            }
+            db_append_string(&sql, " )");
+            G_debug(3, db_get_string(&sql));
+
+            if (db_execute_immediate(driver, &sql) != DB_OK) {
+                G_fatal_error(_("Cannot insert new row: %s"),
+                              db_get_string(&sql));
+            }
+        }
+
+        cat++;
     }
-    G_percent(n_features, n_features, 1);	/* finish it */
+    G_percent(n_features, n_features, 1);        /* finish it */
 
     if (!notab_flag->answer) {
-	db_commit_transaction(driver);
-	db_close_database_shutdown_driver(driver);
+        db_commit_transaction(driver);
+        db_close_database_shutdown_driver(driver);
     }
-    
-    LASSRS_Destroy(LAS_srs);
-    LASHeader_Destroy(LAS_header);
-    LASReader_Destroy(LAS_reader);
 
+    // we don't destroy for PDAL as we will just go out of scope
+    // (using stack or smart pointers)
+
     /* close map */
     if (!notopo_flag->answer)
-	Vect_build(&Map);
+        Vect_build(&Map);
     Vect_close(&Map);
-    
+
     G_message(_("%d points imported"),
               n_features - not_valid - n_outside - n_filtered - n_class_filtered);
     if (not_valid)
-	G_message(_("%d input points were not valid"), not_valid);
+        G_message(_("%d input points were not valid"), not_valid);
     if (n_outside)
-	G_message(_("%d input points were outside of the selected area"), n_outside);
+        G_message(_("%d input points were outside of the selected area"), n_outside);
     if (n_filtered)
-	G_message(_("%d input points were filtered out by return number"), n_filtered);
+        G_message(_("%d input points were filtered out by return number"), n_filtered);
     if (n_class_filtered)
         G_message(_("%d input points were filtered out by class number"), n_class_filtered);
 
@@ -821,27 +833,28 @@
     /*      Extend current window based on dataset.                         */
     /* -------------------------------------------------------------------- */
     if (extend_flag->answer) {
-	G_get_set_window(&loc_wind);
+        G_get_set_window(&loc_wind);
 
-	loc_wind.north = MAX(loc_wind.north, cellhd.north);
-	loc_wind.south = MIN(loc_wind.south, cellhd.south);
-	loc_wind.west = MIN(loc_wind.west, cellhd.west);
-	loc_wind.east = MAX(loc_wind.east, cellhd.east);
+        loc_wind.north = MAX(loc_wind.north, cellhd.north);
+        loc_wind.south = MIN(loc_wind.south, cellhd.south);
+        loc_wind.west = MIN(loc_wind.west, cellhd.west);
+        loc_wind.east = MAX(loc_wind.east, cellhd.east);
 
-	loc_wind.rows = (int)ceil((loc_wind.north - loc_wind.south)
-				  / loc_wind.ns_res);
-	loc_wind.south = loc_wind.north - loc_wind.rows * loc_wind.ns_res;
+        loc_wind.rows = (int)ceil((loc_wind.north - loc_wind.south)
+                                  / loc_wind.ns_res);
+        loc_wind.south = loc_wind.north - loc_wind.rows * loc_wind.ns_res;
 
-	loc_wind.cols = (int)ceil((loc_wind.east - loc_wind.west)
-				  / loc_wind.ew_res);
-	loc_wind.east = loc_wind.west + loc_wind.cols * loc_wind.ew_res;
+        loc_wind.cols = (int)ceil((loc_wind.east - loc_wind.west)
+                                  / loc_wind.ew_res);
+        loc_wind.east = loc_wind.west + loc_wind.cols * loc_wind.ew_res;
 
-	G_put_window(&loc_wind);
+        G_put_window(&loc_wind);
     }
 
-    exit(EXIT_SUCCESS);
+    return EXIT_SUCCESS;
 }
 
+/*
 void print_lasinfo(LASHeaderH LAS_header, LASSRSH LAS_srs)
 {
     char *las_srs_proj4 = LASSRS_GetProj4(LAS_srs);
@@ -858,7 +871,7 @@
                     LASHeader_GetSoftwareId(LAS_header));
     fprintf(stdout, "File Creation Day/Year:            %d/%d\n",
                     LASHeader_GetCreationDOY(LAS_header),
-		    LASHeader_GetCreationYear(LAS_header));
+                    LASHeader_GetCreationYear(LAS_header));
     fprintf(stdout, "Point Data Format:                 %d\n",
                     las_point_format);
     fprintf(stdout, "Number of Point Records:           %d\n",
@@ -886,13 +899,13 @@
                     LASHeader_GetMaxY(LAS_header),
                     LASHeader_GetMaxZ(LAS_header));
     if (las_srs_proj4 && strlen(las_srs_proj4) > 0) {
-	fprintf(stdout, "Spatial Reference:\n");
-	fprintf(stdout, "%s\n", las_srs_proj4);
+        fprintf(stdout, "Spatial Reference:\n");
+        fprintf(stdout, "%s\n", las_srs_proj4);
     }
     else {
-	fprintf(stdout, "Spatial Reference:                 None\n");
+        fprintf(stdout, "Spatial Reference:                 None\n");
     }
-    
+
     fprintf(stdout, "\nData Fields:\n");
     fprintf(stdout, "  'X'\n  'Y'\n  'Z'\n  'Intensity'\n  'Return Number'\n");
     fprintf(stdout, "  'Number of Returns'\n  'Scan Direction'\n");
@@ -899,10 +912,10 @@
     fprintf(stdout, "  'Flighline Edge'\n  'Classification'\n  'Scan Angle Rank'\n");
     fprintf(stdout, "  'User Data'\n  'Point Source ID'\n");
     if (las_point_format == 1 || las_point_format == 3 || las_point_format == 4 || las_point_format == 5) {
-	fprintf(stdout, "  'GPS Time'\n");
+        fprintf(stdout, "  'GPS Time'\n");
     }
     if (las_point_format == 2 || las_point_format == 3 || las_point_format == 5) {
-	fprintf(stdout, "  'Red'\n  'Green'\n  'Blue'\n");
+        fprintf(stdout, "  'Red'\n  'Green'\n  'Blue'\n");
     }
     fprintf(stdout, "\n");
     fflush(stdout);
@@ -909,3 +922,4 @@
 
     return;
 }
+*/
